tp @e[tag=monster] ~ -100 ~
kill @e[tag=monster]
kill @e[tag=spirit,type=armor_stand]
fill -32 101 0 -32 102 1 minecraft:air
kill @e[type=item]
fill -32 112 -1 -32 112 0 air

# Candles
function chop:game/start/spawn_candle_entities
execute at @e[tag=candle] run setblock ~ ~.5 ~ air
execute at @e[tag=candle,tag=1] run setblock ~ ~.5 ~ red_candle[candles=1,lit=false]
execute at @e[tag=candle,tag=2] run setblock ~ ~.5 ~ red_candle[candles=2,lit=false]
execute at @e[tag=candle,tag=3] run setblock ~ ~.5 ~ red_candle[candles=3,lit=false]
execute at @e[tag=candle,tag=4] run setblock ~ ~.5 ~ red_candle[candles=4,lit=false]

# Torches
fill -29 95 8 -52 119 -41 air replace torch
fill -29 95 8 -52 119 -41 air replace wall_torch

# Armor Sanity
scoreboard players reset * armorSanity
scoreboard players set $gold armorSanity 16
scoreboard players set $iron armorSanity 12
scoreboard players set $stone armorSanity 10
scoreboard players set $wood armorSanity 6

# Spirits
setblock -36 115 -4 light[level=5]
setblock -39 115 -3 light[level=5]
setblock -40 115 0 light[level=5]
summon minecraft:armor_stand -36 113.25 -4 {NoGravity:1,Invisible:1,Invulnerable:1,Marker:1,DisabledSlots:2039583,CustomName:"\"spirit\"",Tags:["spirit","empty"],ArmorItems:[{},{},{},{id:"minecraft:tinted_glass",Count:1b}]}
summon minecraft:armor_stand -39 113.25 -3 {NoGravity:1,Invisible:1,Invulnerable:1,Marker:1,DisabledSlots:2039583,CustomName:"\"spirit\"",Tags:["spirit","empty"],ArmorItems:[{},{},{},{id:"minecraft:tinted_glass",Count:1b}]}
summon minecraft:armor_stand -40 113.25 -0 {NoGravity:1,Invisible:1,Invulnerable:1,Marker:1,DisabledSlots:2039583,CustomName:"\"spirit\"",Tags:["spirit","empty"],ArmorItems:[{},{},{},{id:"minecraft:tinted_glass",Count:1b}]}
team join purple @e[type=armor_stand,tag=spirit]
execute at @e[tag=spirit] run setblock ~ ~1 ~ minecraft:quartz_slab

# Chaos monster
execute positioned -35 115 1 run function sette:mob/summon/chaos
effect give @e[tag=chaos] minecraft:nausea 1000000 100 false
effect give @e[tag=chaos] minecraft:strength 1000000 1 false
data merge entity @e[tag=chaos,limit=1] {Invulnerable:1}

# Poppies
function chop:game/start/fix_poppies

# Resources
function chop:game/start/reset_resources

# Chest
setblock -36 101 3 air
setblock -36 101 3 minecraft:chest[facing=north,type=single,waterlogged=false]{Items:[]}

# Scores
scoreboard players set plank timer 0
scoreboard players set stick timer 0
scoreboard players set rock timer 0
scoreboard players set iron timer 0
scoreboard players set gold timer 0
scoreboard players set spider timer 0
scoreboard players set spinner timer 0
scoreboard players set chaosExplode timer 0
scoreboard players set ghost timer 0
scoreboard players set light timer 0
scoreboard players set runTime vars 1
scoreboard players reset tutorial vars
scoreboard players set candles vars 0
scoreboard players set spirits vars 0
scoreboard players set chaosDead vars 0
scoreboard players set unlockedSpiritOrb vars 0
scoreboard players set chaosActivated vars 0
scoreboard players reset * death
scoreboard players reset * insanity
scoreboard players reset * lightCandle
scoreboard players reset * drinkPotion
scoreboard players reset * breakTorchW
scoreboard players reset * visionTime
scoreboard players reset * breakTorch
scoreboard players reset * insanityPerc
scoreboard players reset * placeSpirit
scoreboard players reset * useRevive

# Skull easter egg
setblock -51 117 -12 minecraft:skeleton_wall_skull[facing=east]
function chop:skull_easter_egg

# Skull decorations
kill @e[type=armor_stand,tag=skull_deco]
summon armor_stand -41.35 102.77 2.23 {Marker:1,NoGravity: 1b, Brain: {memories: {}}, HurtByTimestamp: 0, Attributes: [{Base: 0.699999988079071d, Name: "minecraft:generic.movement_speed"}], Invulnerable: 1b, FallFlying: 0b, ShowArms: 0b, PortalCooldown: 0, AbsorptionAmount: 0.0f, FallDistance: 0.0f, DisabledSlots: 2039583, DeathTime: 0s, Pose: {}, Invisible: 1b, Tags: ["skull_deco"], Motion: [0.0d, 0.0d, 0.0d], Small: 1b, Health: 20.0f, Air: 300s, OnGround: 1b, Rotation: [-120.0f, 0.0f], HandItems: [{}, {}], Fire: -1s, ArmorItems: [{}, {}, {}, {id: "minecraft:skeleton_skull", Count: 1b}], NoBasePlate: 0b, HurtTime: 0s}
summon armor_stand -40.60 102.76 -29.26 {Marker:1,NoGravity: 1b, Brain: {memories: {}}, HurtByTimestamp: 0, Attributes: [{Base: 0.699999988079071d, Name: "minecraft:generic.movement_speed"}], Invulnerable: 1b, FallFlying: 0b, ShowArms: 0b, PortalCooldown: 0, AbsorptionAmount: 0.0f, FallDistance: 0.0f, DisabledSlots: 2039583, DeathTime: 0s, Pose: {}, Invisible: 1b, Tags: ["skull_deco"], Motion: [0.0d, 0.0d, 0.0d], Small: 1b, Health: 20.0f, Air: 300s, OnGround: 1b, Rotation: [90.0f, 0.0f], HandItems: [{}, {}], Fire: -1s, ArmorItems: [{}, {}, {}, {id: "minecraft:skeleton_skull", Count: 1b}], NoBasePlate: 0b, HurtTime: 0s}